{ modulesPath, ... }: 
{
    imports = [
        # Include the default lxc/lxd configuration.
        "${modulesPath}/virtualisation/lxc-container.nix"
    ];

    # Treats the system as a container.
    boot.isContainer = true;

    # Set your system kind (needed for flakes)
    nixpkgs.hostPlatform = "x86_64-linux";

    # Supress systemd units that don't work because of LXC.
    # https://blog.xirion.net/posts/nixos-proxmox-lxc/#configurationnix-tweak
    systemd.suppressedSystemUnits = [
        "dev-mqueue.mount"
        "sys-kernel-debug.mount"
        "sys-fs-fuse-connections.mount"
    ];
}